View Issue Details

IDProjectCategoryLast Update
0000510HellionBug2018-07-24 21:17
ReporteraMUSiCAssigned To 
PrioritynormalReproducibilityalways 
Status acknowledged 
Product Version0.2.8 
Target VersionFixed in Version 
Summary0000510: Dropping items when touching geometry despawns the items
Description

Whenever I drop an item from my hand (using G) or directly from the inventory, and I'm touching a non-clippable surface (wall, floor, ceiling, asteroids etc), the item will be dropped inside the geometry and disappear.

Steps To Reproduce

Drop an item towards a non-clippable surface, while touching that surface.

TagsNo tags attached.

Activities

LvlLord

LvlLord

2018-06-24 20:55

reporter   ~0000996

Just an addition. It is not only when directly touching the geometry.
I had similar problems but I dropped something into an access point. It appeared, but just fell through.
Same thing will happen, when I drop things near the window of the steropse (a basketball will just jump out) or when I drop something in the outpost in the corner (not the corridor) right of the air filter unit (needs to be on the slope).
Also the basketball (I think other things too) can roll "under" the jetpack/suit/helmet supply and the contents (ammo, weapon) can be lootet through the locker when the drawer is closed.

Also sometimes things which were lying on the floor in the steropse for some time, glitches through the floor (or despawn?) and are nowhere to be found again.

I even once had once the problem after I docked my station and rotated it. After that I found some, not all, things which were at proper spaces like life support chest or the wall (for posters) just floating around in space like if the station was just moved without these parts. Loading of an old save solved this issue and this did not happen again. (all singleplayer)

The Falcon

The Falcon

2018-07-24 21:17

reporter   ~0001069

Had things similar to this in multi player server. Went looting. Had the steropes so full had to use the floor. Docked it the CM module. While docking a PSM to the CM, I bumped the module next door and the station moved sligthly. All of a sudden I saw a massive amount of "debris" floating away from the CM in one general direction. It turns out it was all the stuff that was on the floor of the ship when I parked it. Bumping the station caused all of it to come out of the ship and become floating debris. Have been finding some of the pieces still floating around the base. Also, went looting the refineries around Bethyr. Ran out of shelve space. Dropped a few items on the floor and the immediately disappeared.

Issue History

Date Modified Username Field Change
2018-06-19 17:46 aMUSiC New Issue
2018-06-22 11:33 Shomy Status new => acknowledged
2018-06-24 20:55 LvlLord Note Added: 0000996
2018-07-24 21:17 The Falcon Note Added: 0001069